{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.zoxide;
in
{
  options.marleyos.programs.zoxide.enable = mkEnableOption "zoxide";

  config = mkIf cfg.enable {
    programs.zoxide = {
      enable = true;

      options = [ "--cmd cd" ];
    };
  };
}
